#-------------------------------------------------
#
# Project created by QtCreator 2016-02-09T21:27:28
#
#-------------------------------------------------

QT       += widgets sql

QT       -= gui

TARGET = addressbook
TEMPLATE = lib

DEFINES += ADDRESSBOOK_LIBRARY

SOURCES += addressbook.cpp \
    data/addressbookdata.cpp \
    addressbookform.cpp \
    addressbookgrid.cpp \
    addressbooktablemodel.cpp

HEADERS += addressbook.h\
        addressbook_global.h \
    data/addressbookdata.h \
    addressbookform.h \
    addressbookgrid.h \
    addressbooktablemodel.h

unix {
    target.path = /usr/lib
    INSTALLS += target
    QMAKE_CXXFLAGS += -std=c++11
    QMAKE_CXXFLAGS += -Wno-unknown-pragmas
}

win32 {
    QMAKE_CXXFLAGS += -wd4995 -wd4068
}

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../core/release/ -lcore
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../core/debug/ -lcore
else:unix: LIBS += -L$$OUT_PWD/../core/ -lcore

INCLUDEPATH += $$PWD/../core
DEPENDPATH += $$PWD/../core

DESTDIR = ../plugins


win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../qdecimal/lib/ -lqdecimal -ldecnumber
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../qdecimal/lib/ -lqdecimal -ldecnumber
else:unix: LIBS += -L$$OUT_PWD/../qdecimal/lib/ -lqdecimal -ldecnumber

INCLUDEPATH += $$PWD/../qdecimal/src
INCLUDEPATH += $$PWD/../qdecimal/decnumber
DEPENDPATH += $$PWD/../qdecimal/src

ODB_FILES = addressbook/data/addressbookdata.h
H_DIR = $$PWD/data/*.h
include(../odb.pri)

OTHER_FILES += \
    addressbook.json

FORMS += \
    addressbookform.ui

RESOURCES += \
    addressbookrc.qrc
